## org.hibernate.ejb.packaging
Class PersistenceXmlLoader

    java.lang.Object
      org.hibernate.ejb.packaging.PersistenceXmlLoader

    public final class PersistenceXmlLoader

extends Object

Handler for persistence.xml files.

Nested Class Summary
`static class` `PersistenceXmlLoader.ErrorLogger`

Method Summary
`static List<PersistenceMetadata>` `deploy(URL url, Map overrides, EntityResolver resolver)` Method used by JBoss AS 4.0.5 for parsing
`static List<PersistenceMetadata>` `deploy(URL url, Map overrides, EntityResolver resolver, PersistenceUnitTransactionType defaultTransactionType)` Method used by JBoss EJB3 (4.2 and above) for parsing Object used by Hibernate OGM as well, consider this some kind of exposed service at the SPI level
`static PersistenceUnitTransactionType` `getTransactionType(String elementContent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### deploy

    public static List<PersistenceMetadata> deploy(URL url,
                                                   Map overrides,
                                                   EntityResolver resolver)
                                            throws Exception

  Method used by JBoss AS 4.0.5 for parsing

  Throws:
    `Exception`

### deploy

    public static List<PersistenceMetadata> deploy(URL url,
                                                   Map overrides,
                                                   EntityResolver resolver,
                                                   PersistenceUnitTransactionType defaultTransactionType)
                                            throws Exception

  Method used by JBoss EJB3 (4.2 and above) for parsing Object used by Hibernate OGM as well, consider this some kind of exposed service at the SPI level

  Throws:
    `Exception`

### getTransactionType

    public static PersistenceUnitTransactionType getTransactionType(String elementContent)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.